<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.md.ext.ExtendJbWorkMapper">
  <resultMap id="BaseResultMap" type="com.ruoyi.system.domain.md.JbWork">
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="name" jdbcType="VARCHAR" property="name" />
    <result column="level" jdbcType="INTEGER" property="level" />
    <result column="createdTime" jdbcType="TIMESTAMP" property="createdtime" />
    <result column="createdBy" jdbcType="VARCHAR" property="createdby" />
    <result column="status" jdbcType="TINYINT" property="status" />
    <result column="finishTime" jdbcType="TIMESTAMP" property="finishtime" />
    <result column="clientId" jdbcType="VARCHAR" property="clientid" />
    <result column="url" jdbcType="VARCHAR" property="url" />
    <result column="pcurl" jdbcType="VARCHAR" property="pcurl" />
    <result column="orgId" jdbcType="VARCHAR" property="orgid" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.ruoyi.system.domain.md.JbWork">
    <result column="content" jdbcType="LONGVARCHAR" property="content" />
  </resultMap>
  
  <insert id="insertAndCreateId" useGeneratedKeys="true" keyProperty="id" parameterType="com.ruoyi.system.domain.md.JbWork">
    insert into md_jb_work (name, level,
    createdTime, createdBy, status,
    finishTime, clientId, url,
    pcurl, orgId,appName,create_name,content
    )
    values (#{name,jdbcType=VARCHAR}, #{level,jdbcType=INTEGER},
    #{createdtime,jdbcType=TIMESTAMP}, #{createdby,jdbcType=VARCHAR}, #{status,jdbcType=TINYINT},
    #{finishtime,jdbcType=TIMESTAMP}, #{clientid,jdbcType=VARCHAR}, #{url,jdbcType=VARCHAR},
    #{pcurl,jdbcType=VARCHAR}, #{orgid,jdbcType=VARCHAR},#{appname,jdbcType=VARCHAR},#{createName,jdbcType=VARCHAR}, #{content,jdbcType=LONGVARCHAR}
    )

  </insert>

</mapper>